<?php
/**
 * Class definition file for the Point Of Marketing API Promotion object
 *
 * Defines promotion constants and available promotion fields
 *
 * @package POMAPI
 * @author Jeremy Miller
 * @copyright 2015 Repeat Returns
 * @version 2.0.1
 * @since 2.0.0
 */
namespace POMAPI;

class POM_Promotion extends POM_Object {
  const DELIVERY_METHOD_EMAIL = 1;
  const DELIVERY_METHOD_SMS = 2;
  const DELIVERY_METHOD_PUSH_NOTIFICATION = 4;
  
  const MEMBER_SEGMENT_ALL = 0;
  const MEMBER_SEGMENT_MONTH_NEW = 100;
  const MEMBER_SEGMENT_MONTH_ORDERED = 200;
  const MEMBER_SEGMENT_30_DAYS = 1200;
  const MEMBER_SEGMENT_60_DAYS = 1201;
  const MEMBER_SEGMENT_90_DAYS = 1202;
  const MEMBER_SEGMENT_120_DAYS = 1203;
  const MEMBER_SEGMENT_150_DAYS = 1204;
  const MEMBER_SEGMENT_DAYS_7 = 201;
  const MEMBER_SEGMENT_LIFETIME_SPEND_TOP_25_PERCENT = 210;
  const MEMBER_SEGMENT_LIFETIME_SPEND_BOTTOM_25_PERCENT = 1210;
  const MEMBER_SEGMENT_REFERRERS = 300;
  const MEMBER_SEGMENT_TRANSACTIONS_TO_25_PERCENT = 310;
  const MEMBER_SEGMENT_TRANSACTIONS_BOTTOM_25_PERCENT = 311;
  const MEMBER_SEGMENT_MONTH_REWARDED = 400;
  const MEMBER_SEGMENT_MONTH_LAST_REWARDED = 401;
  const MEMBER_SEGMENT_MALES = 500;
  const MEMBER_SEGMENT_FEMALES = 501;
  const MEMBER_SEGMENT_HOUSEHOLD_3_PLUS = 502;
  const MEMBER_SEGMENT_MONTH_BIRTHDAY = 503;
  const MEMBER_SEGMENT_MONTH_ANNIVERSARY = 504;
  
  public $active = -1;
  public $subject = "";
  public $bodyHtml = "";
  public $bodyText = "";
  public $sendDate = false;
  public $sendHour = -1;
  public $promoText = "";
  public $promoExpiration = "";
  public $deliveryMethod = -1;
  public $memberSegment = -1;
}
?>