<?php
include __DIR__ . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'POM.php';

$username = preg_replace('/[^a-z0-9]/i', '', $_POST['username']);
$password = preg_replace('/[^a-z0-9]/i', '', $_POST['password']);
$clerk = (strlen($_POST['clerk']) > 0 ? (int)$_POST['clerk'] : '');

$POM = new \POMAPI\POM($username, $password, $clerk);

switch ($_POST['method']) {
  case 'get-chain':
    $title = 'GET /chain/{chainId}';
    $response = $POM->get('chain', $_POST['chain']['chainId']);
    break;
  case 'put-chain':
    $title = 'PUT /chain';
    $response = $POM->put('chain', $_POST['chainField']['chainId'], new \POMAPI\POM_Chain($_POST['chainField']));
    break;
  case 'get-chain-store':
    $title = 'GET /chain/{chainId}/store';
    $response = $POM->get('chain', $_POST['chain']['chainId'], '/store');
    break;
  case 'get-facebook-tab':
    $title = 'GET /facebook-tab';
    $response = $POM->get('facebook-tab', '');
    break;
  case 'put-facebook-tab':
    $title = 'PUT /facebook-tab';
    $response = $POM->put('facebook-tab', '', new \POMAPI\POM_FacebookTab($_POST['facebook']));
    break;
  case 'post-invite':
    $title = 'POST /invite';
    $response = $POM->post('invite', new \POMAPI\POM_Invite($_POST['invite']));
    break;
  case 'post-member':
    $title = 'POST /member';
    $response = $POM->post('member', new \POMAPI\POM_Member($_POST['memberField']));
    break;
  case 'get-member-search':
    $title = 'GET /member/?operator={value}&{nameValuePairs}';
    if (strlen($_POST['memberSearch']['operator']) > 0 && strlen($_POST['memberSearch']['nvp']) > 0) {
      parse_str($_POST['memberSearch']['nvp'], $fields);
      $fields['operator'] = $_POST['memberSearch']['operator'];
      
      $response = $POM->get('member', '', new \POMAPI\POM_Member($fields));
    } else {
      $response = new \POMAPI\POM_Response(array('code'=>400, 'msg'=>'All fields are required'));
    }
    break;
  case 'get-member':
    $title = 'GET /member/{memberId}';
    $response = $POM->get('member', $_POST['member']['memberId']);
    break;
  case 'delete-member':
    $title = 'DELETE /member/{memberId}';
    $response = $POM->delete('member', $_POST['member']['memberId']);
    break;
  case 'get-member-offer':
    $title = 'GET /member/{memberId}/offer';
    $response = $POM->get('member', $_POST['member']['memberId'], '/offer');
    break;
  case 'get-promotion':
    $title = 'GET /promotion/{promotionId}';
    $response = $POM->get('promotion', $_POST['promotion']['promotionId']);
    break;
  case 'put-promotion':
    $title = 'PUT /promotion/{promotionId}';
    $response = $POM->put('promotion', $_POST['promotion']['promotionId'], new \POMAPI\POM_Promotion($_POST['promotionField']));
    break;
  case 'get-store':
    $title = 'GET /store/{storeId}';
    $response = $POM->get('store', $_POST['store']['storeId']);
    break;
  case 'put-store':
    $title = 'PUT /store/{storeId}';
    $response = $POM->put('store', $_POST['chainField']['chainId'], new \POMAPI\POM_Store($_POST['chainField']));
    break;
  case 'post-transaction':
    $title = 'POST /transaction';
    $response = $POM->post('transaction', new \POMAPI\POM_Transaction($_POST['transactionField']));
    break;
  case 'delete-transaction':
    $title = 'DELETE /transaction/{transactionId}';
    $response = $POM->delete('transaction', $_POST['transaction']['transactionId']);
    break;
}
echo '<div class="pom-result-container">';
if ($response->code == \POMAPI\POM_Response::STATUS_OK) {
  if ($response->object !== false) {
    echo $response->object->toHtmlTable($title);
  }
}
else {
  echo '<div class="pom-error">', $response->msg, '</div>';
  if (isset($fields) && is_object($fields)) {
    echo $fields->toHtmlTable($title);
  } else {
    echo $title;
  }
}
echo '<a href="example.php" class="pom-back">Back</a></div><div id="pom-raw-log"><h3>Raw Log</h3>' , $response->remote_url , '<br><br>' , $response->remote_payload, '</div>';
?>